Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Class SplitStreamContent

    java.lang.Object
      rice.p2p.splitstream.SplitStreamContent

All Implemented Interfaces:
  java.io.Serializable, RawScribeContent, ScribeContent

    public class SplitStreamContent

extends java.lang.Object
implements RawScribeContent

This represents data sent through scribe for splitstream

Version:
  $Id: SplitStreamContent.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected byte[]` | `data` The internal data - just the bytes
`static short` | `TYPE`

Constructor Summary
`SplitStreamContent(byte[] data)` Constructor taking in a byte[]
`SplitStreamContent(InputBuffer buf)`

Method Summary
`byte[]` | `getData()` Returns the data for this content
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### data

    protected byte[] data

  The internal data - just the bytes

Constructor Detail

### SplitStreamContent

    public SplitStreamContent(byte[] data)

  Constructor taking in a byte[]

  Parameters:
    `data` - The data for this content

### SplitStreamContent

    public SplitStreamContent(InputBuffer buf)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getData

    public byte[] getData()

  Returns the data for this content

  Returns:
    The data for this content

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawScribeContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawScribeContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.